<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Put_Referee_RequestType StructType
 * Meta information extracted from the WSDL
 * - documentation: The fields to add or update referees for a reference check.
 * @subpackage Structs
 */
class Put_Referee_RequestType extends AbstractStructBase
{
    /**
     * The Referee_Data
     * @var \StructType\Referee_DataType
     */
    public $Referee_Data;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - ref: wd:version
     * @var string
     */
    public $version;
    /**
     * Constructor method for Put_Referee_RequestType
     * @uses Put_Referee_RequestType::setReferee_Data()
     * @uses Put_Referee_RequestType::setVersion()
     * @param \StructType\Referee_DataType $referee_Data
     * @param string $version
     */
    public function __construct(\StructType\Referee_DataType $referee_Data = null, $version = null)
    {
        $this
            ->setReferee_Data($referee_Data)
            ->setVersion($version);
    }
    /**
     * Get Referee_Data value
     * @return \StructType\Referee_DataType|null
     */
    public function getReferee_Data()
    {
        return $this->Referee_Data;
    }
    /**
     * Set Referee_Data value
     * @param \StructType\Referee_DataType $referee_Data
     * @return \StructType\Put_Referee_RequestType
     */
    public function setReferee_Data(\StructType\Referee_DataType $referee_Data = null)
    {
        $this->Referee_Data = $referee_Data;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \StructType\Put_Referee_RequestType
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
}
